summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov2017-02-14 17:17:53 +0100
committer David Spencer2017-02-17 22:52:07 +0100
commitb56f1badba028b380ff81f2a6365190684af6948 (patch)
tree23fb2f52062bd1745ca998677d4f3621ff0935b5
parent95de8fdc5000a028a2d64b4ca373b4b2d3ba1656 (diff)
downloadslackbuilds-b56f1badba028b380ff81f2a6365190684af6948.tar.gz
academic/CAFS_divergence: Added (functional shift clustering).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--academic/CAFS_divergence/CAFS_divergence.SlackBuild85
-rw-r--r--academic/CAFS_divergence/CAFS_divergence.info10
-rw-r--r--academic/CAFS_divergence/README26
-rw-r--r--academic/CAFS_divergence/References4
-rw-r--r--academic/CAFS_divergence/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/academic/CAFS_divergence/CAFS_divergence.SlackBuild b/academic/CAFS_divergence/CAFS_divergence.SlackBuild
new file mode 100644
index 0000000000..28b2385816
--- /dev/null
+++ b/academic/CAFS_divergence/CAFS_divergence.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for CAFS_divergence
+
+# Copyright 2017 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=CAFS_divergence
+BINNAM=cafs
+SYSTOS=linux
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${BINNAM}_${SYSTOS}
+unzip $CWD/${BINNAM}_${SYSTOS}
+cd ${BINNAM}_${SYSTOS}
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m755 $BINNAM $PKG/usr/bin/$BINNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a \
+ sample blosum62.tab \
+ $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ${BINNAM}_user_manual.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+sed "s/@VERSION@/$VERSION/" < $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/CAFS_divergence/CAFS_divergence.info b/academic/CAFS_divergence/CAFS_divergence.info
new file mode 100644
index 0000000000..b13935c2ca
--- /dev/null
+++ b/academic/CAFS_divergence/CAFS_divergence.info
@@ -0,0 +1,10 @@
+PRGNAM="CAFS_divergence"
+VERSION="1.0"
+HOMEPAGE="http://bioinf.gen.tcd.ie/~faresm/software/software.html"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://bioinf.gen.tcd.ie/~faresm/software/files/cafs_linux.zip"
+MD5SUM_x86_64="14e31a38eba7aefc054834a0c8a1ab90"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/CAFS_divergence/README b/academic/CAFS_divergence/README
new file mode 100644
index 0000000000..9320c24786
--- /dev/null
+++ b/academic/CAFS_divergence/README
@@ -0,0 +1,26 @@
+CAFS: Clustering Analysis of Functional Shifts
+
+CAFS is a simple and fast method for Clustering functionally divergent (FD)
+genes by Functional Category.
+
+The method implemented in CAFS is one of several sequence-based methods
+for identifying the 'interesting' subset of substitutions that might
+underpin functional divergence. These methods are based on the idea of that
+functionally-important residues are highly conserved, so that evolutionary
+rates tend to be low at important sites. Functional divergence can then be
+identified by comparing rates (or levels of conservation) between two
+clades of proteins at a homologous site. Alternatively, a significant
+change in amino acid identity (such as a large, positively-charged residue
+in one group of sequences versus a small, neutral residue in the other)
+could indicate functional divergence even without a change in rate.
+
+This program analyses alignments and provides the user with the best
+putative sites under functional divergence.
+
+NOTE: This only repackages the 64bit binary provided from upstream. A 32bit
+executable is not available.
+
+Citing:
+Caffrey BE, Williams TA, Jiang X, Toft C, Hokamp K, Fares MA (2011).
+Proteome-wide analysis of functional divergence in bacteria: Exploring a
+host of ecological adaptations.
diff --git a/academic/CAFS_divergence/References b/academic/CAFS_divergence/References
new file mode 100644
index 0000000000..f4291eaa33
--- /dev/null
+++ b/academic/CAFS_divergence/References
@@ -0,0 +1,4 @@
+Suggested citation
+Caffrey BE, Williams TA, Jiang X, Toft C, Hokamp K, Fares MA (2011).
+Proteome-wide analysis of functional divergence in bacteria: Exploring a host
+of ecological adaptations.
diff --git a/academic/CAFS_divergence/slack-desc b/academic/CAFS_divergence/slack-desc
new file mode 100644
index 0000000000..97672b7592
--- /dev/null
+++ b/academic/CAFS_divergence/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+CAFS_divergence: CAFS_divergence (Clustering Analysis of Functional Shifts)
+CAFS_divergence:
+CAFS_divergence: CAFS is a simple and fast method for Clustering functionally
+CAFS_divergence: divergent (FD) genes by Functional Category. This program analyses
+CAFS_divergence: alignments and provides the user with the best putative sites under
+CAFS_divergence: functional divergence.
+CAFS_divergence:
+CAFS_divergence: Home: http://bioinf.gen.tcd.ie/~faresm/software/software.html
+CAFS_divergence: References: /usr/doc/CAFS_divergence-@VERSION@/References
+CAFS_divergence:
+CAFS_divergence: